import time, board, audiocore, audiomixer, digitalio, adafruit_mpr121
from audiocore import WaveFile
from adafruit_debouncer import Debouncer
lcd_rs = digitalio.DigitalInOut(board.D7)
lcd_en = digitalio.DigitalInOut(board.D8)
lcd_d7 = digitalio.DigitalInOut(board.D12)
lcd_d6 = digitalio.DigitalInOut(board.D11)
lcd_d5 = digitalio.DigitalInOut(board.D10)
lcd_d4 = digitalio.DigitalInOut(board.D9)



lcd_columns = 16
lcd_rows = 2

import adafruit_character_lcd.character_lcd as characterlcd
lcd = characterlcd.Character_LCD_Mono(lcd_rs, lcd_en, lcd_d4, lcd_d5, lcd_d6, lcd_d7, lcd_columns, lcd_rows)


lcd.message = "Welcome"


i2c = board.I2C()
touch_pad = adafruit_mpr121.MPR121(i2c)


try:
    from audioio import AudioOut
except ImportError:
    try:
        from audiopwmio import PWMAudioOut as AudioOut
    except ImportError:
        print("This board does not support AudioOut")
        pass # Not all boards can play audio with AudioOut

audio = AudioOut(board.D3)

# Actual Code

coffee = .50
tea = .5
hot_coco = .5
pastry = .75
menu = [coffee, tea, hot_coco, pastry]
menu2 = ["50", "50", "50", "75"]
menu_sound = ["coffee.wav", "tea.wav", "coco.wav", "pastry.wav"]
total = 0.00
base = "Your total is: \n$"
total_amount = '%.2f' %total
message = base + total_amount

path = "sounds/"

def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            pass

while True:
    for i in range(6):
        if i in range(4):
            if touch_pad[i].value:
                total += menu[i]
                #turn total into string
                total_amount = '%.2f' %total
                message = base + total_amount
                print(message)
                lcd.message = message
                play_sound(menu_sound[i])
                play_sound(menu2[i] + ".wav")
                play_sound("cents.wav")
                time.sleep(.75)
        if touch_pad[4].value:
            ## play sounds
            play_sound("Total.wav")
            split = total_amount.split(".")
            print(split)
            if (split[1] == "00"):
                split[1] = "0"
            play_sound(split[0] + ".wav")
            play_sound("dollars.wav")
            play_sound(split[1] + ".wav")
            play_sound("cents.wav")
            lcd.message= message
            time.sleep(.5)
            total = 0
            total_amount = '%.2f' %total
            message = base + total_amount
            lcd.clear()
            print("cleared")
            lcd.message = "Welcome!"
        if touch_pad[5].value:
            total = 0
            total_amount = '%.2f' %total
            message = base + total_amount
            lcd.clear()
            print("cleared")
            lcd.message = "Welcome!"
